## EvNavigationAction EvNavigationAction |

## Synopsis

                        EvNavigationAction;
                        EvNavigationActionPrivate;
                        EvNavigationActionClass;
    void                ev_navigation_action_set_history    (EvNavigationAction *action,
                                                             EvHistory *history);

## Object Hierarchy

      GObject
       +----GtkAction
             +----EvNavigationAction

## Implemented Interfaces

EvNavigationAction implements GtkBuildable.

## Signals

      "activate-link"                                  : Run Last / Action

## Description

## Details

### EvNavigationAction

    typedef struct _EvNavigationAction EvNavigationAction;

### EvNavigationActionPrivate

    typedef struct _EvNavigationActionPrivate EvNavigationActionPrivate;

### EvNavigationActionClass

    typedef struct {
    	GtkActionClass parent_class;

    	void (* activate_link) (EvNavigationAction *action,
    			        EvLink             *link);
    } EvNavigationActionClass;

### ev_navigation_action_set_history ()

    void                ev_navigation_action_set_history    (EvNavigationAction *action,
                                                             EvHistory *history);

`action` : |
`history` : |

## Signal Details

### The `"activate-link"` signal

    void                user_function                      (EvNavigationAction *evnavigationaction,
                                                            GObject            *arg1,
                                                            gpointer            user_data)               : Run Last / Action

`evnavigationaction` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.